var mongoose = require('mongoose'),
    config = require('../config/conftool.js').getConf(),
    Hook = mongoose.model('Hook'),
    handler = require('../libs/event_handler.js').getHandler();


// This hook takes a json body with 
// {toTn: '10D', fromTn: '10D'}
//
exports.doHook = function(req, res, next){
  var payload = req.body;
  console.log(payload);
  Hook.findOne({lookupId: 'webrtcgw' + '-' + payload.toTn},
    function(err, obj){
      if(err) return next(err);
      else{
        if(obj){
          console.log('found matching hook account for callerid ');
          console.log(obj);
          var evt = { user: obj.user, _id: obj._id, 
                      provider: 'webrtcgw', 
                      data: { toTn: payload.toTn, fromTn: payload.fromTn, ringing: true }};
          handler.emit('event::new', evt);
          }
          else{
          console.log('no hook found');
          }
      }
    }
  );
  res.send({ result: 'ok'}, 200);
}
